Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 352)
@@ -652,9 +652,21 @@
         /// </summary>
         public enum TabCotegory
         {
+            /// <summary>
+            /// タブ区分： 0:合計
+            /// </summary>
             Total = 0,
+            /// <summary>
+            /// タブ区分： 1:大項目
+            /// </summary>
             Component,
+            /// <summary>
+            /// タブ区分： 2:中項目
+            /// </summary>
             Item,
+            /// <summary>
+            /// タブ区分： 3:小項目
+            /// </summary>
             Spec,
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 352)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 204;
+        public static int s_SystemVersion = 205;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs	(revision 352)
@@ -4,32 +4,32 @@
 using System.Text;
 using System.Threading.Tasks;
 
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.Master;
+
 namespace ProcessManagement.Common
 {
     /// <summary>
-    /// 工事共通費定義クラス
+    /// 工事費用定義クラス
     /// </summary>
-    public static class ClsCommonCosts
+    public class ClsCommonCosts
     {
-        /// <summary>
-        /// 積算予算マスタ使用キー定義
-        /// </summary>
-
-        #region 共通仮設費
-        /// <summary>
-        /// 共通仮設費[構成キー]
-        /// 1	共通仮設工事費（積み上げ費含む）※公共入札工事用
-        /// </summary>
-        public static int s_CommunityCompCode = 1;
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
-        #region 発生剤処分費
+        #region メンバ変数
         /// <summary>
-        /// 発生剤処分費[構成キー]
-        /// 18	発生材処分費　※公共入札工事用
+        /// 積算予算マスタ使用キー定義
         /// </summary>
-        public static int s_MaterialDisposal = 18;
-        #endregion
 
         #region 入札物件構成キー群
         /// <summary>
@@ -43,15 +43,45 @@
         /// 7	一般管理費　※公共入札工事用
         /// 18	発生材処分費　※公共入札工事用
         /// </summary>
-        public static int[] s_BiddingCode = new int[] { 1, 2, 3, 4, 5, 6, 7, 18 };
+        //public static int[] s_BiddingCode = new int[] { 1, 2, 3, 4, 5, 6, 7, 18 };
+        private List<int> m_BiddingCode = new List<int>();
         #endregion
 
+        #region 工事種別(対象となる公共工事の工事種別)
+        /// <summary>
+        /// 対象工事タイプ
+        /// 9	公共工事　新築（元請）
+        /// 10	公共工事　新築（下請）
+        /// 4	公共工事　改修（元請）
+        /// 5	公共工事　改修（下請）
+        /// </summary>
+        //private static int[,] s_ConstructionType = new int[,] { { 9, 10 }, { 4, 5 } };
+        private List<int> m_RepairConstrType = new List<int>();
+        private List<int> m_CreateConstrType = new List<int>();
+        #endregion
+
+        #region 共通仮設費
+        /// <summary>
+        /// 共通仮設費[構成キー]
+        /// 1	共通仮設工事費（積み上げ費含む）※公共入札工事用
+        /// </summary>
+        private List<int> m_Community = new List<int>();
+        #endregion
+
+        #region 発生剤処分費
+        /// <summary>
+        /// 発生剤処分費[構成キー]
+        /// 18	発生材処分費　※公共入札工事用
+        /// </summary>
+        private List<int> m_MaterialDisposal = new List<int>();
+        #endregion
+
         #region 積み上げ共通仮設費
         /// <summary>
         /// 積み上げ共通仮設費[工種キー]
         /// 10	積み上げ共通仮設費　※公共工事
         /// </summary>
-        public static int s_PileUpCommonTempory = 10;
+        private List<KeyValuePair<int, int>> m_PileUpComTempo = new List<KeyValuePair<int, int>>();
         #endregion
 
         #region 共通仮設算定率
@@ -59,7 +89,7 @@
         /// 共通仮設算定率[工種キー]
         /// 11	共通仮設算定率　※公共工事
         /// </summary>
-        public static int s_ComputationCommonTempory = 11;
+        private List<int> m_ComputationComTempo = new List<int>();
         #endregion
 
         #region 現場管理費
@@ -67,7 +97,7 @@
         /// 現場管理費[構成キー]
         /// 6	現場管理費　※公共入札工事用
         /// </summary>
-        public static int s_FieldManagementCompCode = 6;
+        private List<int> m_FieldManagement = new List<int>();
         #endregion
 
         #region 一般管理費
@@ -75,18 +105,591 @@
         /// 一般管理費[構成キー]
         /// 7	一般管理費　※公共入札工事用
         /// </summary>
-        public static int s_NormalManagementCompCode = 7;
+        private List<int> m_NormalManagement = new List<int>();
         #endregion
 
-        #region 工事種別(対象となる公共工事の工事種別)
+        #endregion
+
+        #region プロパティ
+        #region 共通仮設費[構成キー]
         /// <summary>
-        /// 対象工事タイプ
-        /// 9	公共工事　新築（元請）
-        /// 10	公共工事　新築（下請）
-        /// 4	公共工事　改修（元請）
-        /// 5	公共工事　改修（下請）
+        /// 共通仮設費[構成キー]
         /// </summary>
-        public static int[,] s_ConstructionType = new int[,] { { 9, 10 }, { 4, 5 } };
+        public int CommonTemporyPublic
+        {
+            get { return GetCommunityCompCode(true); }
+        }
         #endregion
+
+        #region 発生剤処分費
+        /// <summary>
+        /// 発生剤処分費[構成キー]
+        /// </summary>
+        public int MaterialDisposalPublic
+        {
+            get { return GetMaterialDisposal(true); }
+        }
+        #endregion
+
+        #region 積み上げ共通仮設費
+        /// <summary>
+        /// 積み上げ共通仮設費[工種キー]
+        /// </summary>
+        public int PileUpComTempoPublic
+        {
+            get { return GetPileUpCommonTempory(true); }
+        }
+        #endregion
+
+        #region 共通仮設算定率
+        /// <summary>
+        /// 共通仮設算定率[工種キー]
+        /// </summary>
+        public int ComputationComTempoPublic
+        {
+            get { return GetComputationCommonTempory(true); }
+        }
+        #endregion
+
+        #region 現場管理費（公共）
+        /// <summary>
+        /// 現場管理費[構成キー]（公共）
+        /// </summary>
+        public int FieldManagementPublic
+        {
+            get { return GetFieldManagementCompCode(true); }
+        }
+        #endregion
+
+        #region 現場管理費（民間）
+        /// <summary>
+        /// 現場管理費[構成キー]（民間）
+        /// </summary>
+        public int FieldManagementPrivate
+        {
+            get { return GetFieldManagementCompCode(false); }
+        }
+        #endregion
+
+        #region 一般管理費（公共）
+        /// <summary>
+        /// 一般管理費[構成キー]（公共）
+        /// </summary>
+        public int NormalManagementPublic
+        {
+            get { return GetNormalManagementCompCode(true); }
+        }
+        #endregion
+
+        #region 一般管理費（民間）
+        /// <summary>
+        /// 一般管理費[構成キー]（民間）
+        /// </summary>
+        public int NormalManagementPrivate
+        {
+            get { return GetNormalManagementCompCode(false); }
+        }
+        #endregion
+
+        #region 公共工事コード（改修）
+        /// <summary>
+        /// 公共工事コード（改修）
+        /// </summary>
+        public List<int> RepairConstrType
+        {
+            get { return m_RepairConstrType; }
+        }
+        #endregion
+
+        #region 公共工事コード（新築）
+        /// <summary>
+        /// 公共工事コード（新築）
+        /// </summary>
+        public List<int> CreateConstrType
+        {
+            get { return m_CreateConstrType; }
+        }
+        #endregion
+
+        #region 入札物件構成キー群
+        /// <summary>
+        /// 入札物件構成キー群
+        /// </summary>
+        public List<int> BiddingCode
+        {
+            get { return m_BiddingCode; }
+        }
+        #endregion
+
+        #endregion
+
+        #region コンストラクタ
+        public ClsCommonCosts()
+        {
+            // 初期データセット
+            SetInitValue();
+        }
+        #endregion
+
+        #region 初期データセット
+        /// <summary>
+        /// 初期データセット
+        /// </summary>
+        private void SetInitValue()
+        {
+            try
+            {
+                // 予算書集計コードマスタ取得リスト
+                List<BudgetSumCode> DataList = new List<BudgetSumCode>();
+                // 予算書集計コードマスタ取得
+                GetBudgetList(ref DataList);
+
+                //  入札物件構成キー群セット
+                SetBiddingCode(DataList);
+
+                // 共通仮設費　構成キーセット
+                SetCommunityCompCode(DataList);
+                // 積み上げ共通仮設費　工種キーセット
+                SetPileUpCommonTempory(DataList);
+                // 発生剤処分費　構成キーセット
+                SetMaterialDisposal(DataList);
+                // 現場管理費　構成キーセット
+                SetFieldManagementCompCode(DataList);
+                // 一般管理費　構成キーセット
+                SetNormalManagementCompCode(DataList);
+
+                // 公共工事コード取得処理
+                GetConstrTypeList();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 予算書集計コードマスタ取得
+        /// <summary>
+        /// 予算書集計コードマスタ取得
+        /// </summary>
+        private void GetBudgetList(ref List<BudgetSumCode> DataList)
+        {
+            IOMBudgetSumCode bscDB = new IOMBudgetSumCode();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" Order By BlockCode, GroupCode, ComponentCode, ItemCode");
+                bscDB.SelectAction(strSQL.ToString(), ref DataList);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                bscDB.close(); bscDB = null;
+            }
+        }
+        #endregion
+
+        #region 共通仮設費　構成キーセット
+        /// <summary>
+        /// 共通仮設費　構成キーセット
+        /// </summary>
+        private void SetCommunityCompCode(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.NetConstruction
+                                                            && x.GroupCode == (int)FrmBudgetItem.GroupNo.CommonTemp
+                                                            && x.ItemCode == 0)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_Community.Add(CurRec.ComponentCode);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積み上げ共通仮設費　工種キーセット
+        /// <summary>
+        /// 積み上げ共通仮設費　工種キーセット
+        /// </summary>
+        private void SetPileUpCommonTempory(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.NetConstruction
+                                                            && x.GroupCode == (int)FrmBudgetItem.GroupNo.CommonTemp
+                                                            && x.ItemCode > 0)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_PileUpComTempo.Add(new KeyValuePair<int, int>(CurRec.ComponentCode, CurRec.ItemCode));
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発生剤処分費　構成キーセット
+        /// <summary>
+        /// 発生剤処分費　構成キーセット
+        /// </summary>
+        private void SetMaterialDisposal(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.TotalCosts
+                                                            && x.GroupCode == (int)FrmBudgetItem.GroupNo.Dispose)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_MaterialDisposal.Add(CurRec.ComponentCode);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 現場管理費　構成キーセット
+        /// <summary>
+        /// 現場管理費　構成キーセット
+        /// </summary>
+        private void SetFieldManagementCompCode(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.ConstructionCosts
+                                                            && x.GroupCode == (int)FrmBudgetItem.GroupNo.FieldManage)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_FieldManagement.Add(CurRec.ComponentCode);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 一般管理費　構成キーセット
+        /// <summary>
+        /// 一般管理費　構成キーセット
+        /// </summary>
+        private void SetNormalManagementCompCode(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.ConstructionPrice
+                                                            && x.GroupCode == (int)FrmBudgetItem.GroupNo.UsualManage)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_NormalManagement.Add(CurRec.ComponentCode);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 公共工事コード取得処理
+        /// <summary>
+        /// 公共工事コード取得処理
+        /// </summary>
+        private void GetConstrTypeList()
+        {
+            IOMConstructionType ctDB = new IOMConstructionType();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where PublicFlg = {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
+                strSQL.Append(" Order by TypeCode ASC");
+                List<ConstructionTypeMaster> ctList = new List<ConstructionTypeMaster>();
+                ctDB.SelectAction(strSQL.ToString(), ref ctList);
+
+                m_RepairConstrType.Clear();
+                m_CreateConstrType.Clear();
+
+                foreach (ConstructionTypeMaster CurRec in ctList)
+                {
+                    switch (CurRec.RepairFlg)
+                    {
+                        case (int)ConstructionTypeMaster.RepairFlgDef.Create:
+                            // 新築
+                            m_CreateConstrType.Add(CurRec.TypeCode);
+                            break;
+                        case (int)ConstructionTypeMaster.RepairFlgDef.Modify:
+                            // 改修
+                            m_RepairConstrType.Add(CurRec.TypeCode);
+                            break;
+                    }
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                ctDB.close(); ctDB = null;
+            }
+        }
+        #endregion
+
+        #region  入札物件構成キー群セット
+        /// <summary>
+        ///  入札物件構成キー群セット
+        /// </summary>
+        private void SetBiddingCode(List<BudgetSumCode> DataList)
+        {
+            try
+            {
+                BudgetSumCode[] work = DataList.Where(x => x.BlockCode == (int)FrmBudgetItem.BlockNo.PublicWorks)
+                                                .OrderBy(y => y.ComponentCode)
+                                                .ToArray();
+                if (work.Count() < 1) return;
+
+                foreach (BudgetSumCode CurRec in work)
+                {
+                    m_BiddingCode.Add(CurRec.ComponentCode);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 共通仮設費[構成キー]取得処理
+        /// <summary>
+        /// 共通仮設費[構成キー]取得処理
+        /// </summary>
+        private int GetCommunityCompCode(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (int CurValue in m_Community)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 発生剤処分費[構成キー]取得処理
+        /// <summary>
+        /// 発生剤処分費[構成キー]取得処理
+        /// </summary>
+        private int GetMaterialDisposal(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (int CurValue in m_MaterialDisposal)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 積み上げ共通仮設費[工種キー]取得処理
+        /// <summary>
+        /// 積み上げ共通仮設費[工種キー]取得処理
+        /// </summary>
+        private int GetPileUpCommonTempory(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (KeyValuePair<int, int> CurValue in m_PileUpComTempo)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue.Key).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue.Value;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 共通仮設算定率[工種キー]取得処理
+        /// <summary>
+        /// 共通仮設算定率[工種キー]取得処理
+        /// </summary>
+        private int GetComputationCommonTempory(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (int CurValue in m_ComputationComTempo)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 現場管理費[構成キー]取得処理
+        /// <summary>
+        /// 現場管理費[構成キー]取得処理
+        /// </summary>
+        private int GetFieldManagementCompCode(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (int CurValue in m_FieldManagement)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 一般管理費[構成キー]取得処理
+        /// <summary>
+        /// 一般管理費[構成キー]取得処理
+        /// </summary>
+        private int GetNormalManagementCompCode(bool PublicFlg)
+        {
+            try
+            {
+                int GetValue = -1;
+                foreach (int CurValue in m_NormalManagement)
+                {
+                    List<int> RefList = m_BiddingCode.Where(x => x == CurValue).ToList<int>();
+                    if (PublicFlg)
+                    {   // 公共入札工事は無ければ次データ
+                        if (RefList.Count() < 1) continue;
+                    }
+                    else
+                    {   // 公共入札工事以外はあれば次データ
+                        if (RefList.Count() > 0) continue;
+                    }
+                    GetValue = CurValue;
+                    break;
+                }
+
+                return GetValue;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+        }
+        #endregion
     }
 }
